import org.junit.Assert;
import org.junit.Test;

public class BinsTest {

    Dice testDice;
    Bins testBins;

    public BinsTest() {

        testDice = new Dice(1);
        testBins = new Bins(1, 6);
    }

    @Test
    public void testBinKey(){

        //Given
        int key = 1;
        int expected = 0;

        //When
        int actual = testBins.results.get(key);

        Assert.assertEquals(expected, actual);

    }

    @Test
    public void addingToKeyTest() {
        int key = 1;
        int expected = 100;
        int actual = 0;

        for(int i = 0; i < expected; i++) {
            testBins.addingToKey(key);
        }
        actual = testBins.results.get(key);

        Assert.assertEquals(expected, actual);

    }
}
